solscan logo
Register NowRegister Now

transaction detail

get

https://pro-api.solscan.io/v2.0/transaction/detail

Get the detail of a transaction. Return transaction data after parsed by Solscan Parser. Data will include very helpful data such as: token and sol balance changes, IDL data, defi or transfer activities of each instructions

QUERY PARAMS

tx

string

required

The signature of the transaction

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

tx_hash

string

Signature of transaction

block_id

number

Slot number

block_time

number

UnixTime of the slot

fee

number

Fee of transaction

reward

array of object

Reward info of this transaction

address

string

Account address whose native SOL balance changed (or was read, even if unchanged)

pre_balance

string

Balance before the transaction, in lamports

post_balance

string

Balance after the transaction, in lamports

change_amount

string

Amount of SOL transferred (positive if incoming, negative if outgoing, zero if balance was only read)

address

string

The SPL token account address whose balance changed

token_address

string

Mint address of the token held by `address`

change_type

string

`"inc"` or `"dec"`

change_amount

string

Amount of SPL Token transferred (positive if incoming, negative if outgoing, zero if balance was only read)

decimals

number

Decimals for `token_address`

pre_balance

string

Token account balance before the transaction, raw units

post_balance

string

Token account balance after the transaction, raw units

owner

string

Current owner wallet of the token account

pre_owner

string

Owner of the token account before the transaction

post_owner

string

Owner of the token account after the transaction

programs_involved

array of string

List of program addresses participating in the transaction

parsed_instructions

array of object

List of instructions and inner instructions

signer

array of string

List of signers in this transaction

status

number

Status of transaction, 1 for success and 0 for error

compute_units_consumed

number

Number of compute units consumed by the transaction

address_table_lookup

array of object

Transaction addresses loaded from address lookup tables

log_message

array of string

array of string log messages or null if log message recording was not enabled during this transaction

priority_fee

number

Number of priority fee

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples